MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028704Open CASCADE[OCCT] OCCT:Codingpublic2017-05-02 08:592017-09-29 16:25
Reporterkgv 
Assigned Tomkv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028704: Coding Rules - recommend adding the class header first in its source file
DescriptionIt is usual practice to put class header file first in its source file, however the current coding rules do not clarify it.

This simplifies source file identification and helps implicitly validate header file to avoid common C++ problem - missed inclusion of header files by header file.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065662)
git (administrator)
2017-05-02 09:09

Branch CR28704 has been created by kgv.

SHA-1: bcfe48e60192f639f9cb13c164a00d53f374147c


Detailed log of new commits:

Author: kgv
Date: Tue May 2 09:09:27 2017 +0300

    0028704: Coding Rules - recommend adding the class header first in its source file
(0065663)
kgv (developer)
2017-05-02 09:09

Patch is ready for review.
(0065727)
abv (manager)
2017-05-03 16:38

No remarks, please integrate - no testing is needed
(0065730)
mkv (tester)
2017-05-03 18:09

Dear ysn,
could you please review.
(0065833)
ysn (developer)
2017-05-11 15:21

I have no remarks.
(0065834)
git (administrator)
2017-05-11 15:55

Branch CR28704 has been updated forcibly by mkv.

SHA-1: 629362c6fafe99973b355730e2b677f716c73d2c
(0065835)
mkv (tester)
2017-05-11 15:57

TESTED.
(0066763)
git (administrator)
2017-05-29 16:06

Branch CR28704 has been deleted by kgv.

SHA-1: 629362c6fafe99973b355730e2b677f716c73d2c

- Related Changesets
occt: master 629362c6
Timestamp: 2017-05-02 06:09:27
Author: kgv
Committer: mkv
Details ] Diff ]
0028704: Coding Rules - recommend adding the class header first in its source file
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-02 08:59 kgv New Issue
2017-05-02 08:59 kgv Assigned To => kgv
2017-05-02 09:09 git Note Added: 0065662
2017-05-02 09:09 kgv Note Added: 0065663
2017-05-02 09:09 kgv Assigned To kgv => abv
2017-05-02 09:09 kgv Status new => resolved
2017-05-03 16:38 abv Note Added: 0065727
2017-05-03 16:38 abv Assigned To abv => bugmaster
2017-05-03 16:38 abv Status resolved => reviewed
2017-05-03 18:09 mkv Note Added: 0065730
2017-05-03 18:09 mkv Assigned To bugmaster => ysn
2017-05-03 18:09 mkv Status reviewed => feedback
2017-05-11 15:21 ysn Assigned To ysn => mkv
2017-05-11 15:21 ysn Note Added: 0065833
2017-05-11 15:21 ysn Assigned To mkv => bugmaster
2017-05-11 15:21 ysn Status feedback => reviewed
2017-05-11 15:55 git Note Added: 0065834
2017-05-11 15:56 mkv Status reviewed => tested
2017-05-11 15:56 mkv Test case number => Not needed
2017-05-11 15:57 mkv Note Added: 0065835
2017-05-19 13:25 mkv Changeset attached => occt master 629362c6
2017-05-19 13:25 mkv Assigned To bugmaster => mkv
2017-05-19 13:25 mkv Status tested => verified
2017-05-19 13:25 mkv Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066763
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker